Linux repositories inspector

nvidia-alternative - allows the selection of NVIDIA as GLX provider

In setups with several NVIDIA driver versions installed (e.g. current and legacy) this metapackage registers an alternative to allow easy switching between the different versions.
Use 'update-glx --config nvidia' to select a version.
This package does not depend on the corresponding NVIDIA libraries. In order to install the NVIDIA driver and libraries, install the nvidia-driver package instead.
418.43
Debian iconDebian experimental
410.93
Debian iconDebian 10.0
390.87
Debian iconDebian 9.0
367.44
MX Linux iconMX Linux mx16
DistributionVersionSincePackageInstalledPackager
Debian iconDebian 10.0 buster/non-freedeb410.93-211.03.2019193 kiB234 kiB
Debian iconDebian experimental experimental/non-freedeb418.43-111.03.2019198 kiB239 kiB
Debian iconDebian 9.0 stretch/non-freedeb390.87-8~deb9u116.02.2019188 kiB230 kiB
Debian iconDebian 9.0 stretch-backports/non-freedeb390.87-8~bpo9+109.02.2019188 kiB230 kiB
MX Linux iconMX Linux mx16 mx16/non-freedeb367.44-3mx150+314.01.2019161 kiB263 kiB

Latest updates

Debian 10.0 icon

Debian 10.0 buster/non-free: Updated from 390.87-8 to 410.93-2

11.03.2019 23:10
  • Merge changes from 396.54-4.
  • Add slave alternative for libnvoptix.so.1.
  • Restrict watch file to releases from the 410.xx long lived branch.
  • Upload to unstable.
Debian experimental icon

Debian experimental experimental/non-free: Updated from 415.27-1 to 418.43-1

11.03.2019 17:11
  • New upstream long lived branch release 418.43 (2019-02-22).
    • Fixed CVE‑2018‑6260. (Closes: #913467)
      https://nvidia.custhelp.com/app/answers/detail/a_id/4772
    • Added support for the following GPU: GeForce GTX 1660 Ti.
    • Fixed a bug that would occasionally cause visual corruption on some Vulkan titles. This bug was particularly prevalent on DXVK titles.
    • Fixed a bug that caused vkCmdPushConstants to generate Xid 13 messages when executed with VK_SHADER_STAGE_ALL on a compute queue.
  • New upstream beta 418.30 (2019-01-30).
    • Added initial support for G-SYNC Compatible monitors. See the README for details.
    • Added support for the following GPUs:
      GeForce RTX 2070 with Max-Q Design, GeForce RTX 2080 with Max-Q Design.
    • Added support for stereo presentation in Vulkan.
    • Fixed a bug that could cause OpenGL applications to crash after repeated VT-switches.
    • NVIDIA Video Codec SDK 9.0
      A new release of the Video Codec SDK will be available in Q1 2019. For more information and early access sign-up, refer to

      https://developer.nvidia.com/nvidia-video-codec-sdk

      The main features available in this release are listed below: o Support for Turing NVENC/NVDEC.
      o The NVDECODE API (also known as the NVCUVID API) has been updated to

      support YUV 4:4:4 decoding for HEVC on Turing GPUs.

      o NvEncodeAPI has been updated to support HEVC B-frames on Turing GPUs. o NvEncodeAPI adds the capability to output the encoded bitstream, and

      motion vectors from motion estimation-only mode, to video memory.
      This avoids the overhead of copying the output from system to video
      memory for processing pipelines operating directly on video memory.

      o NvEncodeAPI now accepts CUarrays as input buffers. The SDK contains

      a sample application to demonstrate how to feed a Vulkan image to
      NVENC using the Vulkan-CUDA interop.

    • Added NVIDIA optical flow support.
      A new library libnvidia-opticalflow.so is included in the driver package. The NVIDIA optical flow library can be used for hardware-accelerated computation of optical flow vectors and stereo disparity values. The API header files, sample applications and documentation will be available in a separate Optical Flow SDK package in Q1 2019. For more information and early access sign-up, refer to

      https://developer.nvidia.com/opticalflow-sdk

    • Removed libnvidia-wfb.so from the driver package. This module was only used on X servers that did not provide their own implementation of libwfb, and all X.Org xserver versions now supported by the driver do so.
    • Updated the VDPAU driver to reject decoding to YUV 4:2:2 video surfaces. The NVIDIA VDPAU driver always produces YUV 4:2:0 content. Previously, the VDPAU driver implicitly converted a YUV 4:2:2 video surface to YUV 4:2:0 during decode. Now, the VDPAU driver will fail the decode request.
    • Removed the NVreg_UseThreadedInterrupts kernel module parameter from nvidia.ko. This removes the ability to forcibly fall back to an older mechanism (tasklets) for running the bottom-half interrupt handler. Instead, threaded IRQs (the default since 367.44) are always used.
    Andreas Beckmann
    • Update nv-readme.ids.
    • Update symbols files.
    • libnvidia-opticalflow1: New package for the NVIDIA Optical Flow runtime library.
MX Linux stretch icon

MX Linux stretch stretch/non-free: Version 390.87-6~mx17+1 removed

23.02.2019 23:30
Debian 9.0 icon

Debian 9.0 stretch-proposed-updates/non-free: Version 390.87-8~deb9u1 removed

16.02.2019 07:15
Debian 9.0 icon

Debian 9.0 stretch/non-free: Updated from 384.130-1 to 390.87-8~deb9u1

16.02.2019 06:42
  • Rebuild for stretch.
Debian experimental icon

Debian experimental experimental/non-free: Version 415.27-1 introduced

12.02.2019 04:10
  • New upstream short lived branch release 415.27 (2019-01-15).
    • Added support for the following GPU: GeForce RTX 2060.
  • New upstream short lived branch release 415.25 (2018-12-18).
    • Added support for the following GPU: TITAN RTX.
  • New upstream short lived branch release 415.23 (2018-12-12).
  • New upstream short lived branch release 415.22 (2018-12-07).
    • Fixed a regression that prevented applications based on the Unity engine from starting.
    • Added support for VK_EXT_transform_feedback.
  • New upstream short lived branch release 415.18 (2018-11-20).
    • Fixed a bug that caused corruption on vkCmdCopyImage calls for non-2D texture targets.
  • New upstream beta 415.13 (2018-11-08).
    • Improved error reporting in eglSwapBuffers() by generating codes for some missing error types, and adding additional detail to the already existing ones.
    • Fixed a bug that could cause WINE to crash on recent OS releases.
    • Fixed a bug that could cause an X server crash when exiting Vulkan applications running on X servers with UBB enabled.
    • Fixed an X driver bug that caused the "NoEdidModes" token of the "ModeValidation" X configuration option to reject non-EDID modes whose timings matched EDID modes.
    • Changed the NvEncCreateBitstreamBuffer API call in the NvEncodeAPI library to return NV_ENC_ERR_UNIMPLEMENTED instead of NV_ENC_SUCCESS when the encoder instance is configured to run in motion estimation-only mode. As an indirect consequence of this change, users running the AppEncME sample application from the Video Codec SDK prior to SDK version 8.2.16 will observe a segmentation fault due to bugs in the NvEncoder class. It is recommended that users download the latest version of the SDK, where these bugs have been fixed, from
      https://developer.nvidia.com/nvidia-video-codec-sdk.
    • Fixed an OpenGL driver bug that caused the upper bounds of floating-point viewports, specified through the ARB_viewport_array extension, to be clipped incorrectly.
    • Added a new X configuration option "HardDPMS" which
      is disabled by default, but can be enabled to put displays to sleep with modesets rather than VESA DPMS. This may fix some displays that fail to sleep when DPMS becomes active. "HardDPMS" will be enabled by default in a future release.
    • Raised the minimum supported X.Org xserver version to 1.5 (video driver ABI version 4).
    • Enabled the NVreg_EnableBacklightHandler kernel module option by default.
    • Removed the LinuxThreads version of the /usr/lib/libnvidia-tls.so library and replaced it with the NPTL one that was previously installed in /usr/lib/tls/. This fixes crashes on Debian systems when the /etc/ld.so.nohwcap file is present.
    • Changed the minimum required Linux kernel version from 2.6.9 to 2.6.32.
    • Fixed an OpenGL bug where conditional rendering (NV_conditional_render) was incorrectly affecting mipmap generation.
    Andreas Beckmann
    • The classic LinuxThreads tls library variant for Linux < 2.6 is gone.
    • Update symbols files.
    • Update nv-readme.ids.
    • Update lintian overrides.
    • Upload to experimental.
Debian experimental icon

Debian experimental experimental/non-free: Version 410.93-1 removed

11.02.2019 16:13
Debian 9.0 icon

Debian 9.0 stretch-proposed-updates/non-free: Version 390.87-8~deb9u1 introduced

10.02.2019 04:30
  • Rebuild for stretch.
Debian 9.0 icon

Debian 9.0 stretch-backports/non-free: Updated from 390.87-6~bpo9+1 to 390.87-8~bpo9+1

09.02.2019 10:18
  • Rebuild for stretch-backports.
Debian 10.0 icon

Debian 10.0 buster/non-free: Updated from 390.87-6 to 390.87-8

06.02.2019 16:02
  • Tune more package relationships to prevent that installing packages from nvidia-graphics-drivers-legacy-390xx driver pulls in packages from nvidia-graphics-drivers via Recommends.
MX Linux stretch icon

MX Linux stretch stretch/non-free: Updated from 390.87-4~mx17+1 to 390.87-6~mx17+1

02.02.2019 00:40
  • Rebuild for MX 17.
  • Revert to debhelper compat 10.
Debian 9.0 icon

Debian 9.0 stretch-backports/non-free: Updated from 390.87-4~bpo9+1 to 390.87-6~bpo9+1

16.01.2019 22:10
  • Rebuild for stretch-backports.
MX Linux stretch icon

MX Linux stretch stretch/non-free: Version 390.87-4~mx17+1 introduced

14.01.2019 15:01
  • Rebuild for MX 17.
MX Linux mx16 icon

MX Linux mx16 mx16/non-free: Version 367.44-3mx150+3 introduced

14.01.2019 15:00
  • A better-working version of nvidia-detect.in.
Debian experimental icon

Debian experimental experimental/non-free: Version 410.93-1 introduced

14.01.2019 03:35
  • New upstream long lived branch release 410.93 (2019-01-03).
    • Fixed a bug that could prevent display detection from working on displays connected to some notebook docking stations.
    • Added support for the following GPU: Quadro RTX 8000.
  • New upstream release 390 series.
    • Fixed a bug which could cause VK_KHR_external_semaphore_fd operations to fail.
    • Fixed a build failure, "implicit declaration of function 'vm_insert_pfn'", when building the NVIDIA DRM kernel module for Linux kernel 4.20 release candidates.
    • Fixed a build failure, "unknown type name 'ipmi_user_t'", when building the NVIDIA kernel module for Linux kernel 4.20 release candidates.
  • New upstream release 340 series.
    • Added a new kernel module parameter, NVreg_RestrictProfilingToAdminUsers, to allow restricting the use of GPU performance counters to system administrators only.
    Andreas Beckmann
    • Merge changes from 390.87-6.
Debian 10.0 icon

Debian 10.0 buster/non-free: Updated from 390.87-5 to 390.87-6

12.01.2019 22:37
Luca Boccassi
  • Add ipmi-user.patch and vm-insert-pfn.patch to fix kernel module build for Linux 4.20 and newer. (Closes: #917586)
  • Update Swedish (sv) debconf translation. Thank you Martin Bagge! (Closes: #918018)
Andreas Beckmann
  • Switch to debhelper-compat (= 12).
Debian 10.0 icon

Debian 10.0 buster/non-free: Updated from 390.25-2 to 390.87-5

12.01.2019 14:17
Debian 9.0 icon

Debian 9.0 stretch-proposed-updates/non-free: Version 384.130-1 removed

12.01.2019 13:52
Debian 9.0 icon

Debian 9.0 stretch-backports/non-free: Updated from 390.48-2~bpo9+3 to 390.87-4~bpo9+1

12.01.2019 13:52
  • Rebuild for stretch-backports.
Debian 9.0 icon

Debian 9.0 stretch/non-free: Updated from 375.82-1~deb9u1 to 384.130-1

12.01.2019 13:50
  • New upstream long lived branch release 384.130 (2018-03-28).
    • Fixed CVE-2018-6249, CVE-2018-6253.
      https://nvidia.custhelp.com/app/answers/detail/a_id/4649 (Closes: #894338)
    • Improved compatibility with recent Linux kernels.
    • Fixed a string concatenation bug that caused libGL to accidentally try to create the directory "$HOME.nv" rather than "$HOME/.nv" in some cases where /tmp isn't accessible. (Closes: #888028)
    • Increased the version numbers of the GLVND libGL, libGLESv1_CM, libGLESv2, and libEGL libraries, to prevent concurrently installed non-GLVND libraries from taking precedence in the dynamic linker cache.
  • New upstream release 340 series.
    • Fixed a bug which could cause X servers that export a Video Driver ABI earlier than 0.8 to crash when running X11 applications which call XRenderAddTraps().
    Luca Boccassi
    • Install the renamed GLVND libraries and add SONAME symlinks.
    Andreas Beckmann
    • Bump the required glx-diversions/glx-alternative-nvidia version for the renamed GLVND libraries.
    • Upload to stretch

Related packages

nvidia - NVIDIA drivers for linux
⇧ Top